%define _prefix /usr


Summary: The Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-scanner
Version: 3.0.2
Release: 1.art
Source0: %{name}-%{version}.tar.gz
Source1: openvasd.init
License: GNU GPLv2
URL: http://www.openvas.org
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0
Obsoletes: openvas-plugins, openvas-server, openvas-server-devel

BuildRequires: openvas-libraries  >= %{version}, openvas-libraries-devel >= %{version}
BuildRequires: flex 
BuildRequires: automake  libtool 

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif


Requires: openvas-libraries  >= %{version}
Requires: gpgme 
Requires: strobe nmap pnscan openldap-clients ovaldi amap net-snmp-utils
Requires: hydra ike-scan nikto
Requires: rsync
# TODO- PortBunny is a kernel module port scanner. Lots of work.
# Requires: PortBunny


%if 0%{?el4}0%{?el5}
BuildRequires: %{_includedir}/pcap.h
BuildRequires: compat-gnutls2, compat-gnutls2-devel
Requires: compat-gnutls2
%else
BuildRequires: libpcap-devel gnutls-devel
%endif
BuildRequires: libgcrypt-devel gpgme gpgme-devel
 
%description
openvas-scanner is the server component of the Network Vulnerabilty Scanner suite OpenVAS.

%prep
%setup -b 0

%build

%if 0%{?el4}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
%endif

# need deps for this
#	--enable-tcpwrappers
%configure \
	--prefix=%{_prefix} \
	--enable-release 


%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install
#%makeinstall
make install  DESTDIR=$RPM_BUILD_ROOT


%{__mkdir_p} %{buildroot}/%{_sysconfdir}/init.d/
%{__mkdir_p} %{buildroot}/var/cache/openvas
%{__install} -m0755 %{SOURCE1}  %{buildroot}/%{_sysconfdir}/init.d/openvasd

%post 

/sbin/ldconfig >/dev/null 2>&1

/sbin/chkconfig --add openvasd
/sbin/chkconfig openvasd on

# Generate cert
if [ ! -f  /var/lib/openvas/CA/servercert.pem ] ; then
  /usr/sbin/openvas-mkcert -q >/dev/null 2>&1
fi


%preun
service openvasd stop > /dev/null 2>&1

%postun 
/sbin/ldconfig >/dev/null 2>&1


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
%{_mandir}/man?/*
%{_bindir}/openvas-mkrand
%{_bindir}/openvas-mkcert-client
%{_sbindir}/*
%{_localstatedir}/lib/openvas/*
%{_localstatedir}/log/openvas
%{_localstatedir}/cache/openvas
%{_sysconfdir}/openvas/gnupg
%{_sysconfdir}/init.d/openvasd
%{_libdir}/openvas/plugins/*
#%files devel
#%defattr(-,root,root,-)
#%{_includedir}/openvas/*
#%{_bindir}/openvasd-config

%changelog
* Mon Mar 22 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.2-1
- Update to 3.0.2

* Thu Jan 28 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.1-1
- Update to 3.0.1

* Wed Jan 13 2010 Scott R. Shinn <scott@atomicorp.com> - 3.0.0-2
- Bugfix #XXX, corrected path in init script to point to the correct openvassd daemon
- Bugfix #XXX, configured system to create the /var/cache/openvas dir by default

* Fri Dec 18 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 3.0.0-1
- update to 3.0.0

* Wed Aug 19 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.3-1
- update to 2.0.3

* Wed Jun 3 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.2-1
- update to 2.0.2

* Thu Feb 26 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.1-1
- update to 2.0.1 

* Tue Dec 30 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0-2
- Added init scripts and post install routine
- Bugfix #xxx, resolved libopenvas.2 linking issue

* Mon Dec 22 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to 2.0.0 Final

* Fri Dec 12 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to 2.0.0.rc1

* Mon Nov 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Added Requires for port scanners, ovaldi, and ldapclient
- Added Requires for hydra
- Update to beta2

* Fri Nov 7 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to 2.0.0.beta1
- Import into ART

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
* Wed Apr 16 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial OpenSUSE 10.2 spec file, tested for i586
